import { jsx } from "react/jsx-runtime";
import { TokenEMAID as TokenEMAID$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenEMAID = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "EMAID", "data-name": "TokenEMAID", ...props, children: /* @__PURE__ */ jsx(TokenEMAID$1, { variant }) });
  }
);
TokenEMAID.displayName = "TokenEMAID";
Object.assign(TokenEMAID, { isGdsIcon: true });
export {
  TokenEMAID
};
